[Wine] Problem with FlexLM licensing

John Williams (PetaLogix) john.williams at petalogix.com
Mon Jun 30 01:23:45 CDT 2008

Paul Jackson-8 wrote:
> Dan Kegel wrote:
>> The key to getting MXE III's starter version
>> working is to use native msvcrt.  (Our fread
>> has a bug in it when reading binary files
>> as ascii, it seems.  I'll file a bug soon.)  So try
>>   wget http://kegel.com/wine/winetricks
>>   sh winetricks vcrun6
>> and then set msvcrt to native in winecfg.
>> Let me know whether that lets you get MXE III's
>> starter edition going.
>> - Dan
> You're a star, Dan; it works.

A bit late to the party but I'm trying to get MXE 6.3 going under most
recent (v1.0 Wine release).  After convincing the flexlm to work, I'm
hitting the following when I try to fire up the main vsim app:

can't find package Itcl while executing
"package require Itcl" invoked from within ...

Now this is itcl within wine (not the Itcl / winecfg issue).

The layout of the MXE app tree is like this:

(the main modelsim .exes are here)

|-- itcl3.2
|-- itk3.2

(a bunch of itcl related dlls are down in here)

It seems that the vsim.exe is unable to find the dlls exporting the itcl

Any clues on how I start debugging this, or things to try?  I did the
obvious, adding these dirs to PATH - but it's years since I did anything
serious under windows/DOS - is there an LD_LIBRARY_PATH equivalent perhaps?

Thanks for any suggestions,


View this message in context: http://www.nabble.com/Problem-with-FlexLM-licensing-tp12940902p18189397.html
Sent from the Wine - Users mailing list archive at Nabble.com.

More information about the wine-users mailing list